//
//  GreenViewController.swift
//  Tabs
//
//  Created by Bart Jacobs on 21/08/2018.
//  Copyright © 2018 Cocoacasts. All rights reserved.
//

import UIKit

class GreenViewController: UIViewController {

    // MARK: - Properties
    
    @IBOutlet var titleLabel: UILabel!
    
    // MARK: -
    
    var viewModel: GreenViewModel?
    
    // MARK: - View Life Cycle
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        // Setup View Model
        setupViewModel(with: viewModel)
    }
    
    // MARK: - Helper Methods
    
    private func setupViewModel(with viewModel: GreenViewModel?) {
        guard let viewModel = viewModel else {
            return
        }
        
        // Configure Title Label
        titleLabel.text = viewModel.title
    }
    
}
